Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_MediaBfile

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_Media
                          oracle.ifs.server.S_TieMedia
                              oracle.ifs.server.S_MediaBfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieMediaBfile

    public class S_MediaBfile

extends S_TieMedia

An S_MediaBfile is the server-side representation of a MediaBfile.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_Media
`CONTENTTABLE_EXPIRATIONDATE_COLUMN, CONTENTTABLE_MEDIAID_COLUMN, CONTENTTABLE_PARTITIONVALUE_COLUMN, CONTENTTABLE_TABLENAME_PREFIX`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_MediaBfile(S_LibrarySession session, java.lang.Long classId)` Constructs an S_MediaBfile for the case where the object has not been created in the database yet.
`protected` | `S_MediaBfile(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_MediaBfile.

Method Summary
`protected void` | `copyContent(S_Media srcMedia, java.lang.Long srcCid, java.lang.Long dstCid, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores a copy of existing content as the content for the specified content id.
`protected void` | `destroyContent(java.lang.Long cid, AttributeValue[] mediaOptions)` Destroys the content with the specified content id.
`protected void` | `extendedPostFree(OperationState opState, S_LibraryObjectDefinition def)` Operations to be performed after freeing an object.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed after creating an object.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert actions.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Update any system attributes appropriate for creating this object
`protected static java.lang.String` | `getAbsolutePath(S_LibrarySession session, java.lang.String path)` Gets an absolute path, on the database-tier file system, for the specified path.
`protected oracle.sql.BFILE` | `getBfile(java.lang.Long cid)` Gets the BFILE for the specified content id.
`protected java.io.InputStream` | `getContent(java.lang.Long cid)` Gets the content stream for the specified content id.
`protected long` | `getContentSize(java.lang.Long cid)` Gets the size of the content stream for the specified content id.
`protected RandomAccessDriver` | `getRandomAccessDriver(java.lang.Long cid)` Gets a RandomAccessDriver for the specified content id.
`protected void` | `setContent(java.lang.Long cid, java.io.InputStream is, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores content read from the specified InputStream using the specified content id.
`protected void` | `setContentReference(java.lang.Long cid, java.lang.String contentReference, java.lang.Long partitionValue, AttributeValue[] mediaOptions)` Stores content determined from a specified content reference for the specified content id.

Methods inherited from class oracle.ifs.server.S_Media
`acquireContentTableLock, destroyExpiredContent, DYNDestroyExpiredContent, ensureContentTableExists, getColumnName, getContentIndexProcedure, getContentTableName, getPartitionValue, getTableName, isReadOnly, setEmptyContent, setExpirationDate, setPartitionValue`

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, cascadeFree, createCategories, deriveDefinition, extendedPostUpdate, getCategories, getCategories, getCategories, handleCascade, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_MediaBfile

    protected S_MediaBfile(S_LibrarySession session,
                           S_LibraryObjectData data)
                    throws IfsException

  Constructs an S_MediaBfile.

  Parameters:
    `session` - the session context
    `data` - the data component
  Throws:
    `IfsException` - if the operation fails
  (Published)

### S_MediaBfile

    protected S_MediaBfile(S_LibrarySession session,
                           java.lang.Long classId)
                    throws IfsException

  Constructs an S_MediaBfile for the case where the object has not been created in the database yet.

  Parameters:
    `session` - the session context
    `classId` - the id of the class
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_MediaBfile`
  Performs pre-insert actions.

  Overrides:
    `extendedPreInsert` in class `S_Media`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition for the insert operation
  Throws:
    `IfsException` - if the operation fails

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_MediaBfile`
  Operations to be performed after creating an object.

  This is overridden by classes that need to perform operations after successfully creating the rows for the new instance.

  Overrides:
    `extendedPostInsert` in class `S_Media`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_MediaBfile`
  Update any system attributes appropriate for creating this object

  Overrides:
    `extendedPreUpdate` in class `S_SystemObject`
  Parameters:
    `opState` - the operation state
    `sdef` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition sdef)
                            throws IfsException

  Description copied from class: `S_MediaBfile`
  Operations to be performed before freeing an object. This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_Media`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.

### extendedPostFree

    protected void extendedPostFree(OperationState opState,
                                    S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_MediaBfile`
  Operations to be performed after freeing an object. This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPostFree` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - object definition
  Throws:
    `IfsException` - if operation fails.

### getContent

    protected java.io.InputStream getContent(java.lang.Long cid)
                                      throws IfsException

  Description copied from class: `S_MediaBfile`
  Gets the content stream for the specified content id.

  Specified by:
    `getContent` in class `S_Media`
  Parameters:
    `cid` - the content id; required
  Returns:
    the content stream; non-null
  Throws:
    `IfsException` - if the operation fails

### getContentSize

    protected long getContentSize(java.lang.Long cid)
                           throws IfsException

  Description copied from class: `S_MediaBfile`
  Gets the size of the content stream for the specified content id.

  Specified by:
    `getContentSize` in class `S_Media`
  Parameters:
    `cid` - the content id; required
  Returns:
    the size, in bytes
  Throws:
    `IfsException` - if the operation fails

### setContent

    protected void setContent(java.lang.Long cid,
                              java.io.InputStream is,
                              java.lang.Long partitionValue,
                              AttributeValue[] mediaOptions)
                       throws IfsException

  Description copied from class: `S_MediaBfile`
  Stores content read from the specified InputStream using the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `cid`, storing content read from the InputStream, and closing the InputStream.

  Specified by:
    `setContent` in class `S_Media`
  Parameters:
    `cid` - the content id; required
    `is` - the InputStream from which content is read
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails

### copyContent

    protected void copyContent(S_Media srcMedia,
                               java.lang.Long srcCid,
                               java.lang.Long dstCid,
                               java.lang.Long partitionValue,
                               AttributeValue[] mediaOptions)
                        throws IfsException

  Description copied from class: `S_MediaBfile`
  Stores a copy of existing content as the content for the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `dstCid`.

  Although a concrete implementation is provided here (by copying the InputStream returned by `srcMedia.getContent(srcCid)` to the OutputStream returned by `setContent`), subclasses should override this method with a more performant implementation, if possible.

  Overrides:
    `copyContent` in class `S_Media`
  Parameters:
    `srcMedia` - the source media; required
    `srcCid` - the source content id; required
    `dstCid` - the destination content id; required
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails

### setContentReference

    protected void setContentReference(java.lang.Long cid,
                                       java.lang.String contentReference,
                                       java.lang.Long partitionValue,
                                       AttributeValue[] mediaOptions)
                                throws IfsException

  Description copied from class: `S_MediaBfile`
  Stores content determined from a specified content reference for the specified content id.

  The implementation of this method is responsible for inserting a row into the content table whose ID column is `cid`.

  The interpretation of `contentReference` varies by subtype. Some Media subtypes may store its value, while others may resolve its value (in a subtype-determined fashion) to other content and store that content instead.

  Specified by:
    `setContentReference` in class `S_Media`
  Parameters:
    `cid` - the content id; required
    `contentReference` - the content reference; required
    `partitionValue` - the value for the PARTITIONVALUE column in the content table, or null if none
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails

### getRandomAccessDriver

    protected RandomAccessDriver getRandomAccessDriver(java.lang.Long cid)
                                                throws IfsException

  Description copied from class: `S_MediaBfile`
  Gets a RandomAccessDriver for the specified content id.

  Specified by:
    `getRandomAccessDriver` in class `S_Media`
  Parameters:
    `cid` - the content id
  Returns:
    the RandomAccessDriver
  Throws:
    `IfsException` - 13623: if the operation fails

### destroyContent

    protected void destroyContent(java.lang.Long cid,
                                  AttributeValue[] mediaOptions)
                           throws IfsException

  Description copied from class: `S_MediaBfile`
  Destroys the content with the specified content id.

  The implementation of this method is responsible for deleting the content table row whose ID column is `cid`.

  Specified by:
    `destroyContent` in class `S_Media`
  Parameters:
    `cid` - the content id; required
    `mediaOptions` - a set of name/value pairs whose semantics are Media determined, or null for no media options
  Throws:
    `IfsException` - if the operation fails

### getBfile

    protected oracle.sql.BFILE getBfile(java.lang.Long cid)
                                 throws IfsException

  Description copied from class: `S_MediaBfile`
  Gets the BFILE for the specified content id.

  Parameters:
    `cid` - the content id
  Returns:
    the BFILE
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAbsolutePath

    protected static java.lang.String getAbsolutePath(S_LibrarySession session,
                                                      java.lang.String path)
                                               throws IfsException

  Description copied from class: `S_MediaBfile`
  Gets an absolute path, on the database-tier file system, for the specified path.

  Parameters:
    `session` - the session
    `path` - a path, or null
  Returns:
    an absolute path to `path`; if `path` is already an absolute path it is returned unchanged; returns null if `path` is null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD